Bug 481794 - Service netfs stop will also stop machine from exporting nfs shares
Service netfs stop will also stop machine from exporting nfs shares
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: initscripts Maintenance Team
BaseOS QE
:
Depends On:
Blocks: 486986
  Show dependency treegraph
 
Reported: 2009-01-27 12:08 EST by Sachin Prabhu
Modified: 2010-10-23 03:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 486986 (view as bug list)
Environment:
Last Closed: 2009-09-02 07:14:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch. (477 bytes, patch)
2009-01-27 12:08 EST, Sachin Prabhu
no flags Details | Diff

  None (edit)
Description Sachin Prabhu 2009-01-27 12:08:49 EST
Created attachment 330115 [details]
Proposed patch.

If a machine is both a NFS server and a client with nfs shares mounted. The command
service netfs stop
will unmount these nfs shares correctly. 

However it also unmounts /proc/fs/nfsd which is required by the nfs server on the machine. This prevents other clients from mounting nfs shares from this server.

Reproducer:

1) create nfs share and start nfs service.
2) mount nfs share
3) service netfs stop
This will unmount the nfs service. It also unmounts /proc/fs/nfsd which in turn prevents others from mounting from the servers nfs servers.
Comment 2 Sachin Prabhu 2009-02-23 10:58:05 EST
RHEL 4 bz: 486986
Comment 3 Harald Hoyer 2009-05-05 08:52:31 EDT
Please test the erratum candidate:
http://people.redhat.com/harald/downloads/initscripts/initscripts-8.45.26.1.el5/
Comment 5 Issue Tracker 2009-05-08 04:18:50 EDT
The customer has tested
http://people.redhat.com/harald/downloads/initscripts/initscripts-8.45.26.1.el5/
and found that it works fine and solves the problem.

Internal Status set to 'Waiting on Engineering'
Status set to: Waiting on Tech

This event sent from IssueTracker by djuran 
 issue 258802
Comment 6 Chris Ward 2009-07-03 14:22:14 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 10 errata-xmlrpc 2009-09-02 07:14:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1344.html

Note You need to log in before you can comment on or make changes to this bug.